/******************

  Server list Style

 ****************/

.server-list {
  & tbody {
    font-size: 0.9em;
  }
}

.no-white-space {
  white-space: nowrap;
}



/**********

  Leaseweb Loading

************** */

.loading {
  text-align: center;
}

#btn--yp {
  box-sizing: content-box;
  position: fixed;
  z-index: 9;
  bottom: 1em;
  right: 1em;
  border: solid 1em transparent;
  width: 4.625em;
  height: 3.25em;
  background: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/2017/icon-yp.svg) 50%/cover content-box;
  font: 16px/ 1.25 trebuchet ms, sans-serif;
  text-indent: 200vw;
  text-shadow: none;
  filter: grayscale(1) drop-shadow(0 0 1px #e8e0e0);
  transition: .5s;
  white-space: nowrap;
}

#btn--yp:before {
  box-sizing: inherit;
  position: absolute;
  left: 0;
  bottom: 100%;
  margin: 1em -.5em;
  padding: .5em;
  width: 100%;
  border-radius: 5px;
  background: #e8e0e0;
  color: #26338C;
  text-align: center;
  text-decoration: none;
  text-indent: 0vw;
  white-space: normal;
  animation: float 1s ease-in-out infinite alternate;
  content: attr(data-txt);
}

#btn--yp:hover, #btn--yp:focus {
  outline: none;
  filter: grayscale(0) drop-shadow(0 0 1px crimson);
}

@keyframes float {
  to {
    transform: translateY(0.75em);
  }
}

.dot {
  background: tomato;
}

.dot, .dot:after {
  display: inline-block;
  width: 2em;
  height: 2em;
  border-radius: 50%;
  animation: a 1.5s calc(((var(--i) + var(--o, 0)) / var(--n) - 1) * 1.5s) infinite;
}

.dot:after {
  --o: 1;
  background: #26338C;
  content: "";
}

@keyframes a {
  0%, 50% {
    transform: scale(0);
  }
}

